2007-06-20 12:56  pabs

	* [r543] NEWS: Releasing synfigstudio 0.61.06 today

2007-06-20 12:55  pabs

	* [r542] Makefile.am: Fix the SVN tagging targets

2007-06-13 16:41  dooglus

	* [r525] src/gtkmm/dock_navigator.cpp: Fix 1736536. Integer
	  division isn't good enough when the navigator window is small.

2007-06-13 14:23  pabs

	* [r524] NEWS: Mention the new icons in the NEWS file

2007-06-12 10:01  pabs

	* [r523] config/build.cfg: Bump version number to 0.61.06.
	  Hopefully the last revision before the release.

2007-06-12 10:01  pabs

	* [r522] config/configure.ac: Require version 0.04.09 of ETL and
	  version 0.61.06 of synfig to be installed.

2007-06-12 08:34  pabs

	* [r518] AUTHORS, README, images/bline_icon.sif,
	  images/circle_icon.sif, images/draw_icon.sif,
	  images/eyedrop_icon.sif, images/fill_icon.sif,
	  images/gradient_icon.sif, images/mirror_icon.sif,
	  images/polygon_icon.sif, images/rectangle_icon.sif,
	  images/rotate_icon.sif, images/scale_icon.sif,
	  images/sketch_icon.sif, images/smooth_move_icon.sif,
	  images/zoom_icon.sif: Update authorship and copyright for the
	  Tango icons, PXEGeek has placed them in the public domain.

2007-06-11 19:13  pabs

	* [r516] config/configure.ac, images/Makefile.am,
	  src/gtkmm/Makefile.am: Really really fix 1568925, gawd I suck.
	  This time I tested it, yes I did. YAY NEW PXEGEEK PROVIDED TANGO
	  GOODNESS WITH THE SUGAR LOADED DEBCONF......

2007-06-11 17:39  pabs

	* [r515] config/configure.ac, src/gtkmm/Makefile.am: Fix 1568925
	  the real way recommended by the autoconf manual

2007-06-11 15:56  pabs

	* [r514] src/gtkmm/Makefile.am: Distribute compview.cpp, don't
	  build it

2007-06-11 12:20  pabs

	* [r512] src/gtkmm/Makefile.am: Add compview.cpp, which seems to
	  have been ignored before

2007-06-11 10:26  pabs

	* [r510] TODO: Add TODO item about icon naming switch

2007-06-11 10:24  pabs

	* [r509] README, TODO, images/bline_icon.sif,
	  images/circle_icon.sif, images/draw_icon.sif,
	  images/eyedrop_icon.sif, images/fill_icon.sif,
	  images/gradient_icon.sif, images/mirror_icon.sif,
	  images/polygon_icon.sif, images/rectangle_icon.sif,
	  images/rotate_icon.sif, images/scale_icon.sif,
	  images/sketch_icon.sif, images/smooth_move_icon.sif,
	  images/zoom_icon.sif: Add PXEGeek's new Tango ArtLibreSet styled
	  icons. Pre-commit changes include disabling grid-show and adding
	  copyright and description information.

2007-06-10 20:17  pabs

	* [r506] Makefile.am, bootstrap: Generate the ChangeLog at
	  bootstrap time, add a ChangeLog Makefile target

2007-06-04 08:43  pabs

	* [r501] images/Makefile.am: Remove the generated Makefile.in file
	  on maintainer-clean

2007-06-03 23:56  pabs

	* [r496] bootstrap: Change automake invocation to use symlinks and
	  use the stricter gnu standards

2007-06-03 23:45  pabs

	* [r493] COPYING, INSTALL: Remove INSTALL and COPYING, they will be
	  supplied by automake

2007-05-27 23:43  pabs

	* [r488] src/gtkmm/about.cpp: Partially fix 1678554: fix the font
	  colour and size in the about dialog, inspiration from the gimp.

2007-05-27 23:41  pabs

	* [r487] src/gtkmm/devicetracker.cpp: Partially fix 1677510: don't
	  set the input mode on devices to GDK_MODE_SCREEN by default.
	  Prevented laptop users from using their touchpad in synfig.

2007-05-27 23:39  pabs

	* [r486] config/configure.ac: Fix 1568925: fix problem with
	  definition of the IMAGE_DIR at configure time

2007-05-27 23:38  pabs

	* [r485] config/configure.ac, src/gtkmm/app.cpp: Change the default
	  user dir to ~/.synfig for Linux & Unix users

2007-05-27 23:38  pabs

	* [r484] src/gtkmm/app.cpp: Make the save button on the input
	  devices dialog make it clear that saving input device settings is
	  not yet supported.

2007-04-18 10:37  dooglus

	* [r479] src/gtkmm/layeractionmanager.cpp: Partially fix 1702760:
	  stop compiler warning about layeractionmanager.cpp.

2007-04-18 10:19  dooglus

	* [r478] src/gtkmm/dockmanager.cpp: Oops. Correcting previous
	  commit.

2007-04-18 10:13  dooglus

	* [r477] src/gtkmm/dockmanager.cpp: Partially fix 1702760: stop
	  compiler warning about dockmanager.cpp.

2007-04-18 09:47  dooglus

	* [r475] src/gtkmm/renderer_canvas.cpp: Partially fix 1702760: stop
	  compiler warning about renderer_canvas.cpp.

2007-04-18 09:26  dooglus

	* [r473] src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp:
	  Partially fix 1702760: stop compiler warning about
	  valuenodedynamiclistinsertsmart.cpp.

2007-04-18 04:05  pabs

	* [r471] TODO: Add links to the wiki and tracker to the
	  synfigstudio TODO

2007-04-13 12:39  dooglus

	* [r468] src/gtkmm/duckmatic.cpp: Use a couple of macros instead of
	  magic constants

2007-04-12 17:50  dooglus

	* [r466] src/gtkmm/preview.cpp: Fix 1699325: only add on time for
	  exactly one extra frame

2007-04-12 15:10  dooglus

	* [r465] ETL/trunk/ETL/_smach.h,
	  synfig-core/trunk/src/modules/mod_libavcodec/trgt_av.cpp,
	  synfig-core/trunk/src/synfig/curve_helper.cpp,
	  synfig-core/trunk/src/synfig/curve_helper.h,
	  synfig-core/trunk/src/synfig/layer_shape.cpp,
	  synfig-core/trunk/src/synfig/polynomial_root.cpp,
	  synfig-core/trunk/src/synfig/savecanvas.cpp,
	  synfig-core/trunk/src/synfig/target.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/widget_timeslider.cpp, src/synfigapp/blineconvert.cpp:
	  Typos.

2007-04-12 13:49  dooglus

	* [r464] src/gtkmm/instance.cpp: Typo.

2007-04-11 14:35  dooglus

	* [r454] src/gtkmm/dockdialog.cpp: Disable the
	  'set_transient_for()' call unless environment variable
	  SYNFIG_TRANSIENT_DIALOGS is set. This call was having a bad
	  effect on KDE, making the dialog windows disappear and reappear
	  as the mouse was moved from window to window.

2007-04-10 15:23  dooglus

	* [r452] src/synfigapp/canvasinterface.cpp: Fix 1697753: compare
	  times with times, not with frame counts

2007-04-10 15:10  dooglus

	* [r451] src/gtkmm/canvasview.cpp,
	  src/synfigapp/canvasinterface.cpp: Fix 1697728: Code for 'End'
	  was commented out, and code for 'Begin' was going to the end for
	  some reason.

2007-04-10 13:15  dooglus

	* [r450] ETL/trunk/bootstrap, synfig-core/trunk/bootstrap,
	  bootstrap: Fixed a typo.

2007-04-09 16:09  dooglus

	* [r448] images/Makefile.am: Include the 4 keyframe lock icons in
	  the lists of images to install and uninstall.

2007-04-06 14:28  dooglus

	* [r441] src/gtkmm/dockdialog.cpp: Set the dialog windows to be
	  'transient for' the toolbox window. In XFCE4 this makes all the
	  dialogs jump to the front when the toolbox is brought to the
	  front. In GNOME this was happening already.
	  
	  Ideally, selecting any workspace window should bring all dialogs
	  to the front.

2007-04-06 13:16  dooglus

	* [r440] bootstrap, config/configure.ac, win32inst.nsi.in: Apply
	  1695494: fix version number in the Win32 registry, add
	  API_VERSION variable. Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:15  dooglus

	* [r439] win32inst.nsi.in: Apply 1695493: remove unnecessary win32
	  registry key check. Patch by Dmitriy Pomerantsev (Atrus)

2007-04-06 13:14  dooglus

	* [r438] win32inst.nsi.in: Apply 1695492: install start menu
	  shortcuts for all users on Win32. Patch by Dmitriy Pomerantsev
	  (Atrus)

2007-04-06 13:13  dooglus

	* [r437] Makefile.am, images/Makefile.am, win32inst.nsi.in: Apply
	  1695491: uninstall all pixmaps on Win32. Patch by Dmitriy
	  Pomerantsev (Atrus)

2007-04-06 13:10  dooglus

	* [r436] images/Makefile.am: Apply 1695484: generate 48x48 icons on
	  Win32 since they look better. Patch by Dmitriy Pomerantsev
	  (Atrus)

2007-04-04 19:31  dooglus

	* [r423] src/synfigapp/settings.cpp: Fix 1694393: save 'pref.*'
	  keys first, so the window manager hint preference is loaded
	  before saved dialogs are created.

2007-04-04 18:38  dooglus

	* [r422] src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/valuedescset.cpp:
	  `blinepointtangentsplit.cpp' and `blinepointtangentmerge.cpp'
	  should just take care of toggling the 'split tangents' value.
	  `valuedescset.cpp' can look after the tangent vectors themselves.
	  That way, the same code is used whether the tangents are
	  split/merged using a context menu on the canvas or directly in
	  the parameter dialog.

2007-04-02 17:09  dooglus

	* [r420] src/synfigapp/actions/blinepointtangentmerge.cpp: When
	  merging tangents, use the average of the two tangents we're
	  merging, rather than arbitrarily using the old value of one of
	  them.

2007-04-02 15:13  dooglus

	* [r419] src/gtkmm/widget_coloredit.cpp: Don't
	  "assert(color.is_valid())" before setting the colour's alpha
	  component - it might not have been initialised yet.

2007-04-01 19:25  dooglus

	* [r414] src/gtkmm/canvasview.h: I forgot to remove these
	  prototypes when removing definitions earlier.

2007-04-01 19:06  dooglus

	* [r413] src/gtkmm/canvasview.cpp, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h: Remove old unused code that used to handle
	  the eyedropper, colour selector, bline, polygon and draw tools.

2007-04-01 18:43  dooglus

	* [r412] src/gtkmm/toolbox.cpp: Small formatting changes. And show
	  "..." after buttons which require further input.

2007-04-01 18:38  dooglus

	* [r411] src/gtkmm/toolbox.cpp: Simple implementation of 'Save
	  All'.

2007-04-01 18:36  dooglus

	* [r410] src/gtkmm/instance.cpp: When prompting for 'Save As...',
	  show the name of the root canvas being saved in the title bar.

2007-04-01 17:30  dooglus

	* [r409] src/gtkmm/dock_history.cpp: Put the 'redo' button next to
	  the 'undo' button, and before the 2 'clear' buttons, so that both
	  'undo' and 'redo' are visible when the history dialog is narrow.
	  Edited the labels and tooltips a little, too.

2007-04-01 16:46  dooglus

	* [r408] src/gtkmm/app.cpp: Prettied up the layout of the ACCEL and
	  ACCEL2 macros.

2007-04-01 15:28  dooglus

	* [r407] src/gtkmm/instance.cpp: Fix 1686425: prompt before
	  overwriting an existing file with 'save as'.

2007-03-31 23:54  dooglus

	* [r403] src/gtkmm/state_draw.cpp: Typo.

2007-03-31 23:29  dooglus

	* [r402] src/gtkmm/state_draw.cpp: Real width(width) doesn't work.
	  The new variable is in scope before the old one can be used. Use
	  `Real tmp_width(width)' instead.

2007-03-29 04:30  pabs

	* [r393] NEWS: Update NEWS file for the next release

2007-03-27 15:12  dooglus

	* [r388] src/gtkmm/cellrenderer_timetrack.cpp: Partially fix
	  1689282: stops the crash when clicking in timetrack dialog

2007-03-26 00:02  dooglus

	* [r387] src/gtkmm/state_smoothmove.cpp: Added a few comments and
	  increase some code readability.

2007-03-25 07:28  pabs

	* [r386] fixer: Remove copyright fixer script since it is no longer
	  needed

2007-03-25 03:55  dooglus

	* [r385] src/gtkmm/state_draw.cpp: Added my copyright line.

2007-03-24 21:01  dooglus

	* [r384] src/gtkmm/state_draw.cpp: I somehow missed updating these
	  3 lines in r364.

2007-03-24 19:41  dooglus

	* [r381] synfig-core/trunk/README, README: Added my copyright to
	  the README files, as requested.

2007-03-24 17:37  dooglus

	* [r380] src/gtkmm/widget_timeslider.cpp: Setting the 'In
	  Interpolation' of a waypoint to 'Constant' causes the left hand
	  side of the waypoint to be set to colour #C70000. Then selecting
	  that waypoint causes it to be highlighted, by multiplying the
	  colour by 1.3. 0xc7 * 1.3 > 0x100, so the colour was wrapping
	  around to 0 and the highlighted waypoint was appearing black.

2007-03-24 16:22  dooglus

	* [r379] src/gtkmm/canvasview.cpp: I've no idea what "the audio
	  display" is all about, but disp_audio is a pointer, and so needs
	  to be dereferenced before use.

2007-03-23 02:39  pabs

	* [r370] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h,
	  src/gtkmm/state_bline.cpp, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_draw.cpp, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_sketch.cpp, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_zoom.cpp: Fix 1368904: disable the timebar
	  instead of hiding it when switching to tools that require the
	  timebar to be unavailable

2007-03-23 00:28  dooglus

	* [r369] images/Makefile.am, images/curves_icon.sif,
	  src/gtkmm/iconcontroler.cpp: There wasn't an icon for the
	  'Curves' dialog, so I made one. It's brown and ugly, but better
	  than nothing.

2007-03-22 13:27  dooglus

	* [r364] src/gtkmm/state_draw.cpp: Split the 'auto connect' option
	  into 2 separate options:
	  
	  * auto extend: extend existing lines when the new line joins on
	  to one of their ends
	  * auto link: make a new line, but link its start and/or end ducks
	  to existing nearby ducks

2007-03-21 08:42  dooglus

	* [r362] src/gtkmm/preview.h: Switch the order of the #includes to
	  fix a build problem on WIN32. winnt.h defines DELETE, which gtkmm
	  headers fix, but only if winnt.h is included before the gtkmm
	  headers are. winnt.h is being included by ETL/clock, so move that
	  include up.

2007-03-20 00:15  dooglus

	* [r360] src/gtkmm/widget_coloredit.cpp: Allow the hex text area to
	  be used to edit the colour of existing layers.

2007-03-19 22:23  dooglus

	* [r359] src/gtkmm/toolbox.cpp: Removed spurious space from menu
	  entry.

2007-03-19 16:11  dooglus

	* [r358] src/gtkmm/layertree.cpp: Use 'Name' and 'Value' as the
	  column headers in the Params dialog instead of 'Param' and
	  'ValueBase'.

2007-03-19 16:09  dooglus

	* [r357] src/gtkmm/layertree.cpp, src/gtkmm/layertree.h: Members
	  param_tree_view() and get_param_tree_view() were doing exactly
	  the same thing. Commented out param_tree_view() and use
	  get_param_tree_view() everywhere.

2007-03-18 13:13  pabs

	* [r355] TODO, src/gtkmm/mod_palette/dock_palbrowse.h: Add comment
	  from darco about what the "Palette Browser" dock dialog was
	  intended to be for and TODO item about it.

2007-03-18 02:38  dooglus

	* [r354] synfig-core/trunk/src/synfig/color.cpp,
	  synfig-core/trunk/src/synfig/color.h,
	  src/gtkmm/widget_coloredit.cpp, src/gtkmm/widget_coloredit.h:
	  Implements PXEGeek's http://wiki.synfig.com/Wish_list entry:
	  "Optionally display RGB in Hex in Color dialog"

2007-03-16 18:32  dooglus

	* [r349] src/gtkmm/render.cpp: Spelling correction.

2007-03-16 15:46  dooglus

	* [r348] src/gtkmm/canvasview.cpp: Fix 1682016: default to 700x510
	  instead; big enough to be useful, not too big to fit on a 800x600
	  screen. Perhaps eventually we should save the size between
	  sessions.

2007-03-16 14:44  dooglus

	* [r347] src/gtkmm/state_sketch.cpp: Fix 1438545: hide and reshow
	  the sketch after 'undo' or 'clear' to ensure it's updated on
	  screen. There may be a better way to do this; I've left that as a
	  \todo in the code.

2007-03-16 12:31  pabs

	* [r346] src/gtkmm/mod_palette/mod_palette.cpp: Disable the
	  "Palette Browser" dock dialog since it does nothing and has no
	  code. Leaving the files there in case darco remembers it's
	  destiny.

2007-03-16 08:32  dooglus

	* [r342] INSTALL, Makefile.am, bootstrap, config/ETL.m4,
	  config/configure.ac, config/synfig.m4, src/Makefile.am,
	  src/gtkmm/Makefile.am, src/synfigapp/Makefile.am: Enabled $Id$
	  expansion.

2007-03-16 05:21  pabs

	* [r339] INSTALL, Makefile.am, bootstrap, config/ETL.m4,
	  config/configure.ac, config/synfig.m4, src/Makefile.am,
	  src/gtkmm/Makefile.am, src/synfigapp/Makefile.am: Enable more
	  $Id$ expansion.

2007-03-16 00:39  dooglus

	* [r336] src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h, src/synfigapp/action_system.cpp,
	  src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.cpp, src/template.h: Enable $Id$ expansion.

2007-03-15 14:41  dooglus

	* [r325] src/gtkmm/about.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/compview.cpp, src/gtkmm/dialog_color.cpp,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dock_canvases.cpp,
	  src/gtkmm/dock_canvases.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_history.cpp, src/gtkmm/dock_history.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/groupactionmanager.cpp, src/gtkmm/groupactionmanager.h,
	  src/gtkmm/iconcontroler.cpp, src/gtkmm/iconcontroler.h,
	  src/gtkmm/instance.cpp, src/gtkmm/instance.h,
	  src/gtkmm/layeractionmanager.cpp, src/gtkmm/layeractionmanager.h,
	  src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp, src/gtkmm/main.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/renddesc.cpp, src/gtkmm/renddesc.h,
	  src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_canvas.h, src/gtkmm/renderer_dragbox.cpp,
	  src/gtkmm/renderer_dragbox.h, src/gtkmm/renderer_ducks.cpp,
	  src/gtkmm/renderer_ducks.h, src/gtkmm/renderer_grid.cpp,
	  src/gtkmm/renderer_grid.h, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/renderer_guides.h, src/gtkmm/renderer_timecode.cpp,
	  src/gtkmm/renderer_timecode.h, src/gtkmm/smach.h,
	  src/gtkmm/state_bline.cpp, src/gtkmm/state_bline.h,
	  src/gtkmm/state_draw.cpp, src/gtkmm/state_draw.h,
	  src/gtkmm/state_normal.cpp, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_smoothmove.cpp, src/gtkmm/state_width.cpp,
	  src/gtkmm/statemanager.cpp, src/gtkmm/statemanager.h,
	  src/gtkmm/toolbox.cpp, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/inputdevice.h, src/synfigapp/instance.cpp,
	  src/synfigapp/instance.h, src/synfigapp/main.cpp,
	  src/synfigapp/main.h, src/synfigapp/selectionmanager.h,
	  src/synfigapp/settings.cpp, src/synfigapp/settings.h,
	  src/template.cpp, src/template.h: Fixing warnings from doxygen:
	  
	  * Added doxygen header where missing.
	  * Fixed bad \file commands where they were wrong.
	  * Etc.

2007-03-15 12:16  dooglus

	* [r320] src/gtkmm/about.h, src/gtkmm/compview.h,
	  src/gtkmm/onemoment.h, src/gtkmm/toolbox.h: Added missing
	  '\endlegal'.

2007-03-15 12:14  dooglus

	* [r318] src/gtkmm/about.h, src/gtkmm/compview.h,
	  src/gtkmm/onemoment.h, src/gtkmm/toolbox.h: Fixed doxygen header,
	  preventing:
	  
	  Warning: namespace synfig already has a detailed description ...

2007-03-13 15:27  pabs

	* [r313] config/build.cfg, config/project.spec.in,
	  src/gtkmm/app.cpp: Fix some URLs

2007-03-13 14:20  dooglus

	* [r310] src/gtkmm/state_draw.cpp: Fix 1679790: draw tool:
	  extending transformed blines. Most of the required code was
	  already there - things just needed rearranging a little.

2007-03-13 13:39  dooglus

	* [r309] src/gtkmm/state_draw.cpp: Fixed formatting to match
	  surrounding code.

2007-03-13 13:23  dooglus

	* [r308] src/gtkmm/state_draw.cpp: Fix 1679452: extending blines
	  with a non-zero offset works OK now as well

2007-03-13 12:13  dooglus

	* [r307] src/gtkmm/state_draw.cpp: Partially fix 1679452:
	  
	  * drawing to or from a duck *within* a bline will adjust the
	  offset of the newly created bline's layer to match the offset of
	  the bline it's linked to
	  
	  * connecting two ducks, both within different blines will check
	  whether the two blines have the same offset. if so, the new bline
	  will be created with the same offset. if not, it will only be
	  joined to the duck it started at
	  
	  * extending blines with non-zero offset still needs work

2007-03-13 10:10  pabs

	* [r306] images/sif_icon.sif, src/gtkmm/about.cpp,
	  src/gtkmm/app.cpp, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/instance.cpp: Correct the case of Synfig Studio
	  throughout the code

2007-03-12 22:47  dooglus

	* [r305] src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/dialog_color.cpp,
	  src/gtkmm/dialog_color.h, src/gtkmm/dialog_gradient.cpp,
	  src/gtkmm/dialog_gradient.h, src/gtkmm/dialog_keyframe.cpp,
	  src/gtkmm/dialog_keyframe.h, src/gtkmm/dialog_preview.cpp,
	  src/gtkmm/dialog_preview.h, src/gtkmm/dialog_setup.cpp,
	  src/gtkmm/dialog_setup.h, src/gtkmm/dialog_soundselect.cpp,
	  src/gtkmm/dialog_soundselect.h, src/gtkmm/dialog_tooloptions.cpp,
	  src/gtkmm/dialog_tooloptions.h, src/gtkmm/dialog_waypoint.cpp,
	  src/gtkmm/dialog_waypoint.h, src/gtkmm/dialogsettings.cpp,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dockable.cpp, src/gtkmm/dockable.h,
	  src/gtkmm/dockbook.cpp, src/gtkmm/dockbook.h,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/dockdialog.h,
	  src/gtkmm/dockmanager.cpp, src/gtkmm/dockmanager.h,
	  src/gtkmm/duck.cpp, src/gtkmm/duck.h, src/gtkmm/duckmatic.cpp,
	  src/gtkmm/duckmatic.h, src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/instance.cpp, src/gtkmm/instance.h, src/gtkmm/ipc.cpp,
	  src/gtkmm/ipc.h, src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.h, src/gtkmm/render.cpp,
	  src/gtkmm/render.h, src/gtkmm/renderer_bbox.cpp,
	  src/gtkmm/renderer_bbox.h, src/gtkmm/renderer_canvas.cpp,
	  src/gtkmm/renderer_canvas.h, src/gtkmm/renderer_dragbox.cpp,
	  src/gtkmm/renderer_dragbox.h, src/gtkmm/renderer_ducks.cpp,
	  src/gtkmm/renderer_ducks.h, src/gtkmm/renderer_grid.cpp,
	  src/gtkmm/renderer_grid.h, src/gtkmm/renderer_guides.cpp,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_normal.cpp, src/gtkmm/state_normal.h,
	  src/gtkmm/state_polygon.cpp, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_scale.cpp, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_stroke.cpp, src/gtkmm/state_stroke.h,
	  src/gtkmm/state_width.cpp, src/gtkmm/state_width.h,
	  src/gtkmm/state_zoom.cpp, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.h,
	  src/gtkmm/widget_enum.cpp, src/gtkmm/widget_enum.h,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.h,
	  src/synfigapp/action.cpp, src/synfigapp/action.h,
	  src/synfigapp/action_param.cpp, src/synfigapp/action_param.h,
	  src/synfigapp/action_system.cpp, src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.h: Removed trailing whitespace.

2007-03-12 22:31  dooglus

	* [r302] src/gtkmm/instance.cpp, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h: Fixed a typo:
	  'candidate', not 'canidate'.

2007-03-12 22:01  dooglus

	* [r301] src/gtkmm/state_draw.cpp: Fix 1677632: newly drawn lines
	  are joined on to existing lines and ducks wherever possible:
	  
	  * closing a bline by drawing a new line from one end of it to the
	  other end extends and loops the bline, as you would expect
	  
	  * connecting the end of one line to a duck in the middle of
	  another (or even in the middle of the line itself) extends the
	  existing line, and links the new end of the line to the duck
	  
	  * drawing a new line which starts and ends on the same duck now
	  creates a new looped bline which is linked to the duck

2007-03-12 12:58  dooglus

	* [r299] src/gtkmm/renderer_dragbox.cpp,
	  src/gtkmm/renderer_guides.cpp: Commented unused variables.

2007-03-12 12:51  dooglus

	* [r298] src/gtkmm/cellrenderer_timetrack.cpp: Commented out the
	  declarations of unused variables. The code which uses them is
	  also commented out.

2007-03-11 17:19  pabs

	* [r297] src/gtkmm/widget_defaults.cpp: Fix 1677596: set range for
	  the brush width widget to 0, <big number>

2007-03-11 10:25  pabs

	* [r296] src/gtkmm/ipc.cpp: Make synfigstudio less verbose when
	  connecting to previous instances

2007-03-11 07:56  pabs

	* [r294] Makefile.am: Don't need to build anything other than a
	  tar.gz

2007-03-10 07:45  pabs

	* [r283] src/gtkmm/render.cpp: Fix 1346746: init targets before
	  using them during rendering in synfigstudio

2007-03-10 00:44  pabs

	* [r281] src/gtkmm/canvasview.cpp, src/gtkmm/canvasview.h: Half fix
	  1368904: add function to enable/disable the timebar. Just need to
	  change appropriate callers now based on user feedback.

2007-03-09 22:07  dooglus

	* [r280] src/gtkmm/state_draw.cpp: Small cosmetic change.

2007-03-09 22:03  dooglus

	* [r279] src/gtkmm/state_draw.cpp: Partially fix 1677632: draw tool
	  can extend looped blines. Don't allow the draw tool to extend
	  blines if they are already looped.

2007-03-09 09:22  pabs

	* [r277] src/gtkmm/app.cpp: Fix 1368881: hide the input devices
	  dialog when the close button is pushed

2007-03-09 06:57  pabs

	* [r276] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp: Convert the
	  rest of the error and warning dialogs to Gtk::MessageDialog since
	  it is more standard and pretty.

2007-03-08 01:54  dooglus

	* [r273] src/gtkmm/instance.cpp: Really fix 1674142: Correct the
	  change made in r265. We need to process the pending events before
	  deleting the canvas views, not after. This was causing a crash in
	  studio::WorkArea::on_drawing_area_event() when renderer_set_ was
	  found to be populated with null handles.

2007-03-07 00:29  dooglus

	* [r267] src/gtkmm/app.cpp: The 'polygon', 'draw', 'sketch', and
	  'width' tools are disabled by default. This change allows the
	  user to re-enable them by setting the appropriate environment
	  variable(s):
	  
	  export SYNFIG_ENABLE_POLYGON=1
	  export SYNFIG_ENABLE_DRAW=1
	  export SYNFIG_ENABLE_SKETCH=1
	  export SYNFIG_ENABLE_WIDTH=1

2007-03-06 22:45  dooglus

	* [r266] src/gtkmm/canvasview.cpp: Fix 1675309: CanvasView::close()
	  was previously just hiding the canvas, not closing it.

2007-03-06 22:35  dooglus

	* [r265] src/gtkmm/instance.cpp: Fix 1674142: We need to process
	  pending events whether using close() or safe_close(). Not doing
	  this was causing 'revert' to crash.

2007-03-04 09:02  pabs

	* [r264] src/gtkmm/app.cpp: Leave the title of
	  dialog_not_implemented as the default for errors

2007-03-04 08:41  pabs

	* [r263] src/gtkmm/app.cpp: Change the "feature not implemented"
	  dialog to a more standard looking MessageDialog

2007-02-25 05:43  dooglus

	* [r254] src/gtkmm/state_bline.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp: Fix
	  1455310: add 'loop' and 'unloop' to the right-click action of all
	  bline vertices (not just the first one) both in the bline tool
	  and the 'normal' tool.

2007-02-25 05:17  dooglus

	* [r253] src/gtkmm/preview.cpp, src/gtkmm/preview.h: Correcting
	  revision 251. We should include <gtkmm/tooltips.h> into
	  preview.h, not preview.cpp.

2007-02-25 05:13  dooglus

	* [r252] src/gtkmm/preview.cpp, src/gtkmm/preview.h: Added tooltips
	  to the preview window's buttons.

2007-02-25 03:06  dooglus

	* [r251] src/gtkmm/layerparamtreestore.cpp: Fix 1420091: Crash when
	  deleting vertex items. By rebuilding the tree immediately, rather
	  than queueing it for later rebuilding, we avoid the tree being
	  redisplayed with invalid entries in it.

2007-02-25 00:30  pabs

	* [r250] README: Add a first try at a README file for synfigstudio

2007-02-14 00:21  pabs

	* [r243] win32inst.nsi.in: Apply 1659129: use .sifz instead of
	  .sif.gz on Win32. Patch by Dmitriy Pomerantsev (Atrus)

2007-02-14 00:19  pabs

	* [r242] images/Makefile.am: Apply 1659126: fix Win32 icon
	  generation with png2ico. Patch by Dmitriy Pomerantsev (Atrus)

2007-02-14 00:16  pabs

	* [r241] synfigstudio.desktop.in: Apply 1655192: add extension to
	  icon in .desktop file. Patch by Dmitriy Pomerantsev (Atrus)

2007-02-11 01:29  pabs

	* [r238] AUTHORS: Add an initial attempt at an AUTHORS file

2007-02-10 01:31  pabs

	* [r237] Makefile.am, images/Makefile.am, win32inst.nsi.in: Build
	  synfig_icon.ico as well as sif_icon.ico
	  Install Win32 icons into the pixmaps directory too
	  Fix 1655158: Use the .ico files instead of synfigstudio.exe
	  Fix 1655155: Remove unused images from the Win32 installer
	  package
	  Fix 1655149: Generate the correct BMP format with imagemagick 6
	  Patches by Dmitriy Pomerantsev (Atrus)

2007-02-10 01:04  pabs

	* [r236] images/Makefile.am: Use png2ico and allow building icons
	  for any sif file. Patch partly by Dmitriy Pomerantsev (Atrus).

2007-02-03 23:49  pabs

	* [r234] src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/canvasinterface.cpp: Fix 1380227: crash when
	  changing keyframes. Patch by Chris Moore (dooglus)

2007-02-03 03:45  pabs

	* [r233] src/gtkmm/widget_value.h, src/gtkmm/widget_waypoint.h,
	  src/gtkmm/widget_waypointmodel.h: Remove commented out atkmm
	  #includes

2007-02-01 03:40  pabs

	* [r232] src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.h, src/gtkmm/dialog_waypoint.h:
	  Don't include atkmm/stateset.h, since it is unused and will be
	  removed from gtkmm soon

2007-01-28 13:45  pabs

	* [r231] src/gtkmm/workarea.cpp: Add mousewheel support in canvas
	  windows. Thanks to Yue Shi Lai.

2007-01-28 09:27  pabs

	* [r230] src/gtkmm/widget_defaults.cpp: Fix typo: TBC -> TCB
	  (thanks to Douglas Lau)

2006-11-18 09:37  xerakko

	* [r229] synfig-core/trunk/src/modules/mod_gif/trgt_gif.cpp,
	  synfig-core/trunk/src/synfig/blur.cpp,
	  synfig-core/trunk/src/synfig/layer_motionblur.cpp,
	  synfig-core/trunk/src/synfig/target.cpp,
	  synfig-core/trunk/src/tool/main.cpp,
	  src/gtkmm/dock_navigator.cpp, src/gtkmm/preview.cpp,
	  src/gtkmm/widget_defaults.cpp, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_timeslider.cpp, src/gtkmm/workarea.cpp,
	  src/synfigapp/action.h, src/synfigapp/cvs.cpp: Applied the
	  following dooglus patches from the sourceforge tracker:
	  
	  synfig
	  
	  - 1576355: main1 - variable used after it's been free'd
	  - 1576389: main2 - missing command line argument can crash synfig
	  - 1571307: initialise - several variables are used before they
	  are set
	  - 1576373: gif1 - invalid palette entries are accessed
	  - 1568922: blur2 - poor granularity in blur sizes
	  - 1569078: typo: "aperature"
	  
	  synfigstudio
	  
	  - 1571307: initialise, initialise2 - several variables are used
	  before they are set
	  - gamma settings were breaking due to using the localised form
	  and causing weird colours
	  - 1570191: distance - Widget_Distance don't notice when the units
	  are changed
	  - 1570319: blinewidth - default bline width is accessed before it
	  is set

2006-09-09 10:21  xerakko

	* [r228] src/gtkmm/app.cpp: Solve the gamma problem (corrected
	  locale when loading/saving settings file)

2006-08-31 22:44  darco

	* [r226] src/gtkmm/app.cpp: Disabled some tools which are
	  confusing, incomplete, and/or deprecated.
	  
	  * polygon: you should use the bline tool
	  * width: you should just modify the width ducks directly
	  * draw: was never completed, very buggy, and frustrating to use
	  * sketch: if the draw tool is being disabled, then we might as
	  well disable the sketch tool too
	  
	  These tools may be re-enabled later if necessary.

2006-08-31 22:42  darco

	* [r225] images/about_dialog.sif: Fixed annoying inconsistancy
	  regarding the alignment of the "ALPHA" text on the bar at the
	  top.

2006-08-31 20:16  xerakko

	* [r224] src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasproperties.cpp, src/gtkmm/dialog_preview.cpp,
	  src/gtkmm/dialog_preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp,
	  src/gtkmm/toolbox.cpp, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_waypoint.cpp, src/gtkmm/widget_waypoint.h:
	  Applied user interface rework patch by David Roden (Bombe)

2006-08-31 00:51  darco

	* [r222] src/gtkmm/layertree.cpp, src/gtkmm/layertree.h,
	  src/gtkmm/layertreestore.h, studio.prj: Fix 1382032: problem
	  which made it impossible to enable, disable, or rename layers
	  from the layer tab. Strangely, it should have worked to begin
	  with, and it actually DID work fine in GTKMM 2.4 and 2.6...
	  
	  The way the layer and parameters tabs are currently handled is a
	  total mess. Originally, they were both the same tab, but they
	  went seperate ways at some point but there are still some classes
	  they have in common which is just confusing. Bah.

2006-08-26 02:48  pabs

	* [r220] synfigstudio.desktop.in: Fix synfigstudio.desktop.in:
	  Remove Application from Categories, makes it a valid .desktop
	  file

2006-08-14 08:23  pabs

	* [r218] bootstrap: Allow synfigstudio to bootstrap in directories
	  with spaces in their names

2006-08-07 03:41  pabs

	* [r213] images/info_icon.sif, images/time_track_icon.sif:
	  Workaround 1529489: Changing the font family from Times to Times
	  New Roman allows synfig to build the synfigstudio images on
	  gentoo.

2006-07-24 11:39  pabs

	* [r210] Makefile.am: Wooops, missed .spec versioning in
	  Makefile.am

2006-07-24 11:01  pabs

	* [r207] bootstrap: Add the NEWS file to the .spec instead of the
	  ChangeLog

2006-07-24 10:54  pabs

	* [r205] bootstrap: Don't add the version to the name of the .spec
	  files

2006-07-24 10:43  pabs

	* [r202] config/subs.m4: Disable -ffast-math, since it causes
	  broken code on some platforms

2006-07-24 06:57  pabs

	* [r200] bootstrap, config/synfig.m4, debugcrash,
	  images/Makefile.inc, images/about_dialog.sif,
	  images/canvas_icon.sif, images/color_icon.sif,
	  images/real_icon.sif, images/sif_icon.sif,
	  images/vector_icon.sif,
	  pkg-info/macosx/studio-resources/Welcome.txt, studio.kdevprj,
	  studio.pbproj/project.pbxproj, studio.prj: Replace sinfg with
	  synfig where nessecary in a case-preserving way

2006-07-24 04:31  pabs

	* [r191] alphalicense.txt: Remove alphalicense.txt from SVN now
	  that synfigstudio is fully GPL licenced.

2006-07-23 13:09  pabs

	* [r187] NEWS: Add a couple of SVN numbers known to correspond to
	  releases.

2006-06-06 03:21  darco

	* [r180] macosxbuild.sh, src/gtkmm/about.cpp,
	  src/gtkmm/iconcontroler.cpp, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/renderer_timecode.cpp: Added support for SYNFIG_ROOT
	  environment variable
	  Fixed an uncaught exception bug, which may have been causing
	  silent crashes
	  Removed some unused code
	  Misc other things

2006-06-03 06:07  pabs

	* [r178] src/gtkmm/dockbook.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockmanager.cpp: Fix 1499921 (debian #365102):
	  synfigstudio startup crashes on amd64
	  Thanks to: Ben Green aka Sciboy, Anthony DeRobertis, Fabian
	  Fagerholm and Kurt Roeckx

2006-05-21 11:46  pabs

	* [r170] NEWS: Update NEWS file, based on diffs between the
	  versions

2006-05-21 09:04  pabs

	* [r169] Makefile.am, TODO, config/configure.ac,
	  synfigstudio-thumbnailer.schemas.in: Add gnome thumbnailer for
	  .sif images. Thanks to Adrian Winchell (SnapSilverlight).

2006-05-21 08:57  pabs

	* [r168] Makefile.am, TODO, config/configure.ac,
	  synfigstudio.xml.in: Add freedesktop.org mime info for .sif
	  images. Thanks to Adrian Winchell (SnapSilverlight).

2006-05-19 09:16  pabs

	* [r167] NEWS: Add an initial attempt at real NEWS file

2006-05-18 12:17  pabs

	* [r166] synfigstudio.desktop.in: Clean up the .desktop file

2006-05-18 10:42  pabs

	* [r165] Makefile.am: Distribute ChangeLog.old too

2006-05-18 10:39  pabs

	* [r164] ChangeLog, ChangeLog.old: Move contents of ChangeLog into
	  ChangeLog.old. ChangeLog will be generated from SVN from now on.

2006-05-18 10:35  pabs

	* [r163] ChangeLog.old, NEWS: Rename NEWS to ChangeLog.old

2006-05-18 10:19  pabs

	* [r162] synfigstudio.keys.in: Woops, forgot to remove the
	  image/sifz mimetype from the keys file.

2006-05-18 10:00  pabs

	* [r161] synfigstudio.mime.in: Remove image/sifz mimetype and merge
	  sifz extensions into image/sif.

2006-04-28 07:43  pabs

	* [r160] src/gtkmm/app.cpp, src/gtkmm/canvasview.cpp: Usability:
	  replace "Mask Ducks" with "Show/Hide Ducks". Patch by Adrian
	  Winchell (SnapSilverlight).

2006-04-23 10:10  pabs

	* [r158] src/gtkmm/dockdialog.cpp, src/gtkmm/keyframetreestore.cpp:
	  Fix 1459615 (debian #364408): allow building of synfigstudio on
	  amd64. Patch by Andreas Jochens.

2006-02-28 01:27  darco

	* [r128] config/build.cfg: Version bump

2006-02-23 20:17  darco

	* [r127] config/configure.ac, src/gtkmm/app.cpp: Added
	  "--with-userdir" to configure script to change the default user
	  settings directory

2006-01-30 03:29  pabs

	* [r120] src/gtkmm/dialog_gradient.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/toolbox.cpp: Fix 1367916: don't use set_keep_below for
	  the toolbox/etc, allowing the dock/etc to come to the front on
	  startup.

2006-01-27 04:54  pabs

	* [r118] src/gtkmm/canvasview.cpp, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/toolbox.cpp: Fix 1373933, 1358304: problem with gtkmm
	  2.8

2006-01-12 19:59  darco

	* [r115] src/gtkmm/app.cpp: minor fix

2006-01-10 21:18  darco

	* [r104] Makefile.am: minor build issue

2006-01-10 21:06  darco

	* [r103] config/build.cfg: version bump

2005-12-09 00:26  darco

	* [r96] pkg-info/macosx/studio-resources/InstallationCheck: This
	  doesn't need to be here

2005-12-08 23:59  darco

	* [r95] macosxbuild.sh: forgot to add the "make package" line

2005-12-08 23:01  darco

	* [r94] Makefile.am, TODO, bootstrap, config/build.cfg,
	  config/configure.ac,
	  pkg-info/macosx/studio-resources/InstallationCheck,
	  pkg-info/macosx/studio-resources/synfig-studio.post_install,
	  pkg-info/macosx/studio-resources/synfig-studio.post_upgrade,
	  pkg-info/macosx/studio-resources/upgrade.sh: Updates to
	  subversion integration, and adding some files I forgot to add
	  earlier

2005-12-05 19:10  darco

	* [r70] config/project.spec.in, fixer, src/gtkmm/about.cpp,
	  src/gtkmm/about.h, src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/onemoment.cpp, src/gtkmm/onemoment.h,
	  src/gtkmm/renddesc.h, src/gtkmm/toolbox.cpp, src/gtkmm/toolbox.h:
	  Fixed some more confidential notices

2005-11-29 06:00  darco

	* [r68] src/gtkmm/workarea.cpp: Prevent FTBFS under g++ 4.x due to
	  extra namespace qualifier

2005-11-29 05:54  darco

	* [r67] src/gtkmm/workarea.cpp, src/gtkmm/workarea.h: Prevent FTBFS
	  under g++ 4.x due to extra namespace qualifier

2005-11-29 04:30  darco

	* [r66] COPYING, config/build.cfg, macosxbuild.sh: Bump version
	  number. Enable optimisation level 2 and disable debug on MacOS X.
	  Put GPL2 instead of LGPL in the COPYING file.

2005-11-26 19:46  darco

	* [r63] ChangeLog, macosxbuild.sh, src/gtkmm/layertreestore.cpp,
	  win32build.sh: Fixed layer drag bug

2005-11-10 17:17  darco

	* [r61] Makefile.am, config/package, images/Makefile.am,
	  pkg-info/macosx/studio-resources/Description.plist,
	  pkg-info/macosx/studio-resources/English.lproj,
	  pkg-info/macosx/studio-resources/English.lproj/InstallationCheck.strings,
	  win32inst.nsi.in: argh

2005-11-10 05:21  darco

	* [r60] Makefile.am, images/Makefile.am, images/installer_logo.sif,
	  images/installer_logo_osx.sif, win32inst.nsi.in: argh

2005-11-10 03:32  darco

	* [r59] src/gtkmm/app.cpp: minor fix

2005-11-10 03:14  darco

	* [r58] src/gtkmm/app.cpp: Now using Gtk::FileChooserDialog

2005-11-09 21:53  darco

	* [r57] src/gtkmm/app.cpp: Added code to handle converting Win32's
	  short file names to long file names.

2005-11-09 17:44  darco

	* [r55] win32inst.nsi.in: nur

2005-11-09 17:36  darco

	* [r54] images/Makefile.am: mnur--This line, and those below, will
	  be ignored--
	  
	  M images/Makefile.am

2005-11-09 17:31  darco

	* [r53] images/Makefile.am: meh

2005-11-09 16:00  darco

	* [r51] config/configure.ac, src/gtkmm/autorecover.cpp: meh

2005-11-09 09:23  darco

	* [r49] Makefile.am: meh

2005-11-09 08:52  darco

	* [r48] win32build.sh: meh

2005-11-09 08:49  darco

	* [r47] src/gtkmm/app.cpp, src/gtkmm/ipc.cpp: meh

2005-11-09 08:33  darco

	* [r46] config/configure.ac, src/gtkmm/ipc.cpp,
	  src/synfigapp/cvs.cpp: argh

2005-11-09 08:10  darco

	* [r45] Makefile.am, config/build.cfg: nur

2005-11-06 04:51  darco

	* [r41] ChangeLog, Makefile.am, config/build.cfg, fixer,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/preview.cpp, src/gtkmm/preview.h,
	  src/gtkmm/renddesc.cpp, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h, src/synfigapp/action_system.cpp,
	  src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.cpp, src/template.h, win32build.sh: more updates

2005-11-01 21:33  darco

	* [r39] COPYING, Makefile.am, images/Makefile.am,
	  images/about_dialog.sif, macosxbuild.sh,
	  pkg-info/macosx/resources, pkg-info/macosx/studio-resources,
	  pkg-info/macosx/studio-resources/ReadMe.txt,
	  pkg-info/macosx/studio-resources/Welcome.txt,
	  pkg-info/macosx/studio-resources/install.sh,
	  src/gtkmm/Makefile.am, src/synfigapp/Makefile.am: meh

2005-10-30 23:53  darco

	* [r32] win32build.sh: meh

2005-10-30 22:49  darco

	* [r31] Makefile.am, win32build.sh: meh

2005-10-30 04:34  darco

	* [r30] src/gtkmm/app.cpp, win32build.sh: nur

2005-10-12 01:03  darco

	* [r27] pkg-info/macosx/resources/install.sh: meh

2005-07-08 10:55  darco

	* [r26] Makefile.am, config/configure.ac, config/sinfg.m4,
	  config/synfig.m4, fixer, images/Makefile.am,
	  images/about_dialog.sif, images/sinfg_icon.sif,
	  images/synfig_icon.sif, sinfgstudio.desktop.in,
	  sinfgstudio.keys.in, sinfgstudio.mime.in, src/Makefile.am,
	  src/gtkmm/Makefile.am, src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/sinfgapp, src/synfigapp,
	  src/synfigapp/Makefile.am, src/synfigapp/action.cpp,
	  src/synfigapp/action.h, src/synfigapp/action_param.cpp,
	  src/synfigapp/action_param.h, src/synfigapp/action_system.cpp,
	  src/synfigapp/action_system.h,
	  src/synfigapp/actions/activepointadd.cpp,
	  src/synfigapp/actions/activepointadd.h,
	  src/synfigapp/actions/activepointremove.cpp,
	  src/synfigapp/actions/activepointremove.h,
	  src/synfigapp/actions/activepointset.cpp,
	  src/synfigapp/actions/activepointset.h,
	  src/synfigapp/actions/activepointsetoff.cpp,
	  src/synfigapp/actions/activepointsetoff.h,
	  src/synfigapp/actions/activepointseton.cpp,
	  src/synfigapp/actions/activepointseton.h,
	  src/synfigapp/actions/activepointsetsmart.cpp,
	  src/synfigapp/actions/activepointsetsmart.h,
	  src/synfigapp/actions/activepointsimpleadd.cpp,
	  src/synfigapp/actions/activepointsimpleadd.h,
	  src/synfigapp/actions/blinepointtangentmerge.cpp,
	  src/synfigapp/actions/blinepointtangentmerge.h,
	  src/synfigapp/actions/blinepointtangentsplit.cpp,
	  src/synfigapp/actions/blinepointtangentsplit.h,
	  src/synfigapp/actions/canvasadd.cpp,
	  src/synfigapp/actions/canvasadd.h,
	  src/synfigapp/actions/canvasremove.cpp,
	  src/synfigapp/actions/canvasremove.h,
	  src/synfigapp/actions/canvasrenddescset.cpp,
	  src/synfigapp/actions/canvasrenddescset.h,
	  src/synfigapp/actions/colorset.cpp,
	  src/synfigapp/actions/colorset.h,
	  src/synfigapp/actions/editmodeset.cpp,
	  src/synfigapp/actions/editmodeset.h,
	  src/synfigapp/actions/gradientset.cpp,
	  src/synfigapp/actions/gradientset.h,
	  src/synfigapp/actions/groupaddlayers.cpp,
	  src/synfigapp/actions/groupaddlayers.h,
	  src/synfigapp/actions/groupremove.cpp,
	  src/synfigapp/actions/groupremove.h,
	  src/synfigapp/actions/groupremovelayers.cpp,
	  src/synfigapp/actions/groupremovelayers.h,
	  src/synfigapp/actions/grouprename.cpp,
	  src/synfigapp/actions/grouprename.h,
	  src/synfigapp/actions/keyframeadd.cpp,
	  src/synfigapp/actions/keyframeadd.h,
	  src/synfigapp/actions/keyframeduplicate.cpp,
	  src/synfigapp/actions/keyframeduplicate.h,
	  src/synfigapp/actions/keyframeremove.cpp,
	  src/synfigapp/actions/keyframeremove.h,
	  src/synfigapp/actions/keyframeset.cpp,
	  src/synfigapp/actions/keyframeset.h,
	  src/synfigapp/actions/keyframesetdelta.cpp,
	  src/synfigapp/actions/keyframesetdelta.h,
	  src/synfigapp/actions/keyframewaypointset.cpp,
	  src/synfigapp/actions/keyframewaypointset.h,
	  src/synfigapp/actions/layeractivate.cpp,
	  src/synfigapp/actions/layeractivate.h,
	  src/synfigapp/actions/layeradd.cpp,
	  src/synfigapp/actions/layeradd.h,
	  src/synfigapp/actions/layerduplicate.cpp,
	  src/synfigapp/actions/layerduplicate.h,
	  src/synfigapp/actions/layerencapsulate.cpp,
	  src/synfigapp/actions/layerencapsulate.h,
	  src/synfigapp/actions/layerlower.cpp,
	  src/synfigapp/actions/layerlower.h,
	  src/synfigapp/actions/layermove.cpp,
	  src/synfigapp/actions/layermove.h,
	  src/synfigapp/actions/layerparamconnect.cpp,
	  src/synfigapp/actions/layerparamconnect.h,
	  src/synfigapp/actions/layerparamdisconnect.cpp,
	  src/synfigapp/actions/layerparamdisconnect.h,
	  src/synfigapp/actions/layerparamset.cpp,
	  src/synfigapp/actions/layerparamset.h,
	  src/synfigapp/actions/layerraise.cpp,
	  src/synfigapp/actions/layerraise.h,
	  src/synfigapp/actions/layerremove.cpp,
	  src/synfigapp/actions/layerremove.h,
	  src/synfigapp/actions/layersetdesc.cpp,
	  src/synfigapp/actions/layersetdesc.h,
	  src/synfigapp/actions/timepointscopy.cpp,
	  src/synfigapp/actions/timepointscopy.h,
	  src/synfigapp/actions/timepointsdelete.cpp,
	  src/synfigapp/actions/timepointsdelete.h,
	  src/synfigapp/actions/timepointsmove.cpp,
	  src/synfigapp/actions/timepointsmove.h,
	  src/synfigapp/actions/valuedescconnect.cpp,
	  src/synfigapp/actions/valuedescconnect.h,
	  src/synfigapp/actions/valuedescconvert.cpp,
	  src/synfigapp/actions/valuedescconvert.h,
	  src/synfigapp/actions/valuedescdisconnect.cpp,
	  src/synfigapp/actions/valuedescdisconnect.h,
	  src/synfigapp/actions/valuedescexport.cpp,
	  src/synfigapp/actions/valuedescexport.h,
	  src/synfigapp/actions/valuedesclink.cpp,
	  src/synfigapp/actions/valuedesclink.h,
	  src/synfigapp/actions/valuedescset.cpp,
	  src/synfigapp/actions/valuedescset.h,
	  src/synfigapp/actions/valuenodeadd.cpp,
	  src/synfigapp/actions/valuenodeadd.h,
	  src/synfigapp/actions/valuenodeconstset.cpp,
	  src/synfigapp/actions/valuenodeconstset.h,
	  src/synfigapp/actions/valuenodedynamiclistinsert.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsert.h,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/synfigapp/actions/valuenodedynamiclistloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistloop.h,
	  src/synfigapp/actions/valuenodedynamiclistremove.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremove.h,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/synfigapp/actions/valuenodedynamiclistremovesmart.h,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/synfigapp/actions/valuenodedynamiclistrotateorder.h,
	  src/synfigapp/actions/valuenodedynamiclistunloop.cpp,
	  src/synfigapp/actions/valuenodedynamiclistunloop.h,
	  src/synfigapp/actions/valuenodelinkconnect.cpp,
	  src/synfigapp/actions/valuenodelinkconnect.h,
	  src/synfigapp/actions/valuenodelinkdisconnect.cpp,
	  src/synfigapp/actions/valuenodelinkdisconnect.h,
	  src/synfigapp/actions/valuenoderemove.cpp,
	  src/synfigapp/actions/valuenoderemove.h,
	  src/synfigapp/actions/valuenoderename.cpp,
	  src/synfigapp/actions/valuenoderename.h,
	  src/synfigapp/actions/valuenodereplace.cpp,
	  src/synfigapp/actions/valuenodereplace.h,
	  src/synfigapp/actions/waypointadd.cpp,
	  src/synfigapp/actions/waypointadd.h,
	  src/synfigapp/actions/waypointremove.cpp,
	  src/synfigapp/actions/waypointremove.h,
	  src/synfigapp/actions/waypointset.cpp,
	  src/synfigapp/actions/waypointset.h,
	  src/synfigapp/actions/waypointsetsmart.cpp,
	  src/synfigapp/actions/waypointsetsmart.h,
	  src/synfigapp/actions/waypointsimpleadd.cpp,
	  src/synfigapp/actions/waypointsimpleadd.h,
	  src/synfigapp/blineconvert.cpp, src/synfigapp/blineconvert.h,
	  src/synfigapp/canvasinterface.cpp,
	  src/synfigapp/canvasinterface.h, src/synfigapp/cvs.cpp,
	  src/synfigapp/cvs.h, src/synfigapp/editmode.h,
	  src/synfigapp/inputdevice.cpp, src/synfigapp/inputdevice.h,
	  src/synfigapp/instance.cpp, src/synfigapp/instance.h,
	  src/synfigapp/main.cpp, src/synfigapp/main.h,
	  src/synfigapp/selectionmanager.h, src/synfigapp/settings.cpp,
	  src/synfigapp/settings.h, src/synfigapp/timegather.cpp,
	  src/synfigapp/timegather.h, src/synfigapp/uimanager.cpp,
	  src/synfigapp/uimanager.h, src/synfigapp/value_desc.h,
	  src/template.cpp, src/template.h, synfigstudio.desktop.in,
	  synfigstudio.keys.in, synfigstudio.mime.in, win32inst.nsi.in: my
	  log

2005-04-19 23:11  darco

	* [r24] pkg-info, pkg-info/macosx, pkg-info/macosx/resources,
	  pkg-info/macosx/resources/ReadMe.txt,
	  pkg-info/macosx/resources/Welcome.txt,
	  pkg-info/macosx/resources/install.sh,
	  pkg-info/macosx/synfig-studio.info.in, pkg-info/win32: bleh

2005-04-19 22:51  darco

	* [r22] Makefile.am, bootstrap, config/build.cfg,
	  config/configure.ac, config/ltmain.patch, config/package,
	  macosxbuild.sh, src/gtkmm/dialog_gradient.cpp,
	  src/gtkmm/dockdialog.cpp, src/gtkmm/toolbox.cpp: bleh

2005-03-24 21:48  darco

	* [r11] Makefile.am, images/Makefile.am, src/gtkmm/app.cpp,
	  win32inst.nsi.in: minor update

2005-03-24 21:38  darco

	* [r8] synfig-studio, ., ChangeLog, INSTALL, Makefile.am, NEWS,
	  README, alphalicense.txt, bootstrap, config, config/ETL.m4,
	  config/build.cfg, config/configure.ac, config/cxx_macros.m4,
	  config/gnome.m4, config/libxml.m4, config/project.spec.in,
	  config/sinfg.m4, config/subs.m4, debugcrash, doc, fixer, images,
	  images/Makefile.am, images/Makefile.inc, images/about_dialog.sif,
	  images/about_icon.sif, images/angle_icon.sif,
	  images/bline_icon.sif, images/blinepoint_icon.sif,
	  images/bool_icon.sif, images/canvas_icon.sif,
	  images/canvas_pointer_icon.sif, images/children_icon.sif,
	  images/circle_icon.sif, images/clear_redo_icon.sif,
	  images/clear_undo_icon.sif, images/color_icon.sif,
	  images/draw_icon.sif, images/duplicate_icon.sif,
	  images/eyedrop_icon.sif, images/fill_icon.sif,
	  images/gradient_icon.sif, images/group_icon.sif,
	  images/info_icon.sif, images/integer_icon.sif,
	  images/keyframe_icon.sif, images/keyframe_lock_icon.sif,
	  images/layer_icon.sif, images/list_icon.sif, images/logo.sif,
	  images/meta_data_icon.sif, images/mirror_icon.sif,
	  images/navigator_icon.sif, images/normal_icon.sif,
	  images/pastecanvas_icon.sif, images/polygon_icon.sif,
	  images/real_icon.sif, images/rectangle_icon.sif,
	  images/rotate_icon.sif, images/saveall_icon.sif,
	  images/scale_icon.sif, images/segment_icon.sif,
	  images/sif_icon.sif, images/sinfg_icon.sif,
	  images/sketch_icon.sif, images/smooth_move_icon.sif,
	  images/string_icon.sif, images/swap_colors_icon.sif,
	  images/time_track_icon.sif, images/valuenode_icon.sif,
	  images/vector_icon.sif, images/wallpaper.sif,
	  images/width_icon.sif, images/zoom_icon.sif,
	  sinfgstudio.desktop.in, sinfgstudio.keys.in, sinfgstudio.mime.in,
	  src, src/Makefile.am, src/gtkmm, src/gtkmm/Makefile.am,
	  src/gtkmm/about.cpp, src/gtkmm/about.h,
	  src/gtkmm/adjust_window.cpp, src/gtkmm/adjust_window.h,
	  src/gtkmm/app.cpp, src/gtkmm/app.h, src/gtkmm/asyncrenderer.cpp,
	  src/gtkmm/asyncrenderer.h, src/gtkmm/audiocontainer.cpp,
	  src/gtkmm/audiocontainer.h, src/gtkmm/autorecover.cpp,
	  src/gtkmm/autorecover.h, src/gtkmm/canvasoptions.cpp,
	  src/gtkmm/canvasoptions.h, src/gtkmm/canvasproperties.cpp,
	  src/gtkmm/canvasproperties.h, src/gtkmm/canvastreestore.cpp,
	  src/gtkmm/canvastreestore.h, src/gtkmm/canvasview.cpp,
	  src/gtkmm/canvasview.h, src/gtkmm/cellrenderer_gradient.cpp,
	  src/gtkmm/cellrenderer_gradient.h,
	  src/gtkmm/cellrenderer_time.cpp, src/gtkmm/cellrenderer_time.h,
	  src/gtkmm/cellrenderer_timetrack.cpp,
	  src/gtkmm/cellrenderer_timetrack.h,
	  src/gtkmm/cellrenderer_value.cpp, src/gtkmm/cellrenderer_value.h,
	  src/gtkmm/childrentree.cpp, src/gtkmm/childrentree.h,
	  src/gtkmm/childrentreestore.cpp, src/gtkmm/childrentreestore.h,
	  src/gtkmm/compview.cpp, src/gtkmm/compview.h,
	  src/gtkmm/devicetracker.cpp, src/gtkmm/devicetracker.h,
	  src/gtkmm/dialog_color.cpp, src/gtkmm/dialog_color.h,
	  src/gtkmm/dialog_gradient.cpp, src/gtkmm/dialog_gradient.h,
	  src/gtkmm/dialog_keyframe.cpp, src/gtkmm/dialog_keyframe.h,
	  src/gtkmm/dialog_preview.cpp, src/gtkmm/dialog_preview.h,
	  src/gtkmm/dialog_setup.cpp, src/gtkmm/dialog_setup.h,
	  src/gtkmm/dialog_soundselect.cpp, src/gtkmm/dialog_soundselect.h,
	  src/gtkmm/dialog_tooloptions.cpp, src/gtkmm/dialog_tooloptions.h,
	  src/gtkmm/dialog_waypoint.cpp, src/gtkmm/dialog_waypoint.h,
	  src/gtkmm/dialogsettings.cpp, src/gtkmm/dialogsettings.h,
	  src/gtkmm/dock_canvases.cpp, src/gtkmm/dock_canvases.h,
	  src/gtkmm/dock_canvasspecific.cpp,
	  src/gtkmm/dock_canvasspecific.h, src/gtkmm/dock_children.cpp,
	  src/gtkmm/dock_children.h, src/gtkmm/dock_curves.cpp,
	  src/gtkmm/dock_curves.h, src/gtkmm/dock_history.cpp,
	  src/gtkmm/dock_history.h, src/gtkmm/dock_info.cpp,
	  src/gtkmm/dock_info.h, src/gtkmm/dock_keyframes.cpp,
	  src/gtkmm/dock_keyframes.h, src/gtkmm/dock_layergroups.cpp,
	  src/gtkmm/dock_layergroups.h, src/gtkmm/dock_layers.cpp,
	  src/gtkmm/dock_layers.h, src/gtkmm/dock_metadata.cpp,
	  src/gtkmm/dock_metadata.h, src/gtkmm/dock_navigator.cpp,
	  src/gtkmm/dock_navigator.h, src/gtkmm/dock_params.cpp,
	  src/gtkmm/dock_params.h, src/gtkmm/dock_timetrack.cpp,
	  src/gtkmm/dock_timetrack.h, src/gtkmm/dockable.cpp,
	  src/gtkmm/dockable.h, src/gtkmm/dockbook.cpp,
	  src/gtkmm/dockbook.h, src/gtkmm/dockdialog.cpp,
	  src/gtkmm/dockdialog.h, src/gtkmm/dockmanager.cpp,
	  src/gtkmm/dockmanager.h, src/gtkmm/duck.cpp, src/gtkmm/duck.h,
	  src/gtkmm/duckmatic.cpp, src/gtkmm/duckmatic.h,
	  src/gtkmm/ducktransform_rotate.h,
	  src/gtkmm/ducktransform_scale.h,
	  src/gtkmm/ducktransform_translate.h,
	  src/gtkmm/event_layerclick.h, src/gtkmm/event_mouse.h,
	  src/gtkmm/eventkey.h, src/gtkmm/groupactionmanager.cpp,
	  src/gtkmm/groupactionmanager.h, src/gtkmm/historytreestore.cpp,
	  src/gtkmm/historytreestore.h, src/gtkmm/iconcontroler.cpp,
	  src/gtkmm/iconcontroler.h, src/gtkmm/instance.cpp,
	  src/gtkmm/instance.h, src/gtkmm/ipc.cpp, src/gtkmm/ipc.h,
	  src/gtkmm/keyframeactionmanager.cpp,
	  src/gtkmm/keyframeactionmanager.h, src/gtkmm/keyframetree.cpp,
	  src/gtkmm/keyframetree.h, src/gtkmm/keyframetreestore.cpp,
	  src/gtkmm/keyframetreestore.h, src/gtkmm/keymapsettings.cpp,
	  src/gtkmm/keymapsettings.h, src/gtkmm/layeractionmanager.cpp,
	  src/gtkmm/layeractionmanager.h, src/gtkmm/layergrouptree.cpp,
	  src/gtkmm/layergrouptree.h, src/gtkmm/layergrouptreestore.cpp,
	  src/gtkmm/layergrouptreestore.h,
	  src/gtkmm/layerparamtreestore.cpp,
	  src/gtkmm/layerparamtreestore.h, src/gtkmm/layertree.cpp,
	  src/gtkmm/layertree.h, src/gtkmm/layertreestore.cpp,
	  src/gtkmm/layertreestore.h, src/gtkmm/main.cpp,
	  src/gtkmm/metadatatreestore.cpp, src/gtkmm/metadatatreestore.h,
	  src/gtkmm/mod_mirror, src/gtkmm/mod_mirror/mod_mirror.cpp,
	  src/gtkmm/mod_mirror/mod_mirror.h,
	  src/gtkmm/mod_mirror/state_mirror.cpp,
	  src/gtkmm/mod_mirror/state_mirror.h, src/gtkmm/mod_palette,
	  src/gtkmm/mod_palette/dock_palbrowse.cpp,
	  src/gtkmm/mod_palette/dock_palbrowse.h,
	  src/gtkmm/mod_palette/dock_paledit.cpp,
	  src/gtkmm/mod_palette/dock_paledit.h,
	  src/gtkmm/mod_palette/mod_palette.cpp,
	  src/gtkmm/mod_palette/mod_palette.h, src/gtkmm/module.cpp,
	  src/gtkmm/module.h, src/gtkmm/onemoment.cpp,
	  src/gtkmm/onemoment.h, src/gtkmm/preview.cpp,
	  src/gtkmm/preview.h, src/gtkmm/renddesc.cpp,
	  src/gtkmm/renddesc.h, src/gtkmm/render.cpp, src/gtkmm/render.h,
	  src/gtkmm/renderer_bbox.cpp, src/gtkmm/renderer_bbox.h,
	  src/gtkmm/renderer_canvas.cpp, src/gtkmm/renderer_canvas.h,
	  src/gtkmm/renderer_dragbox.cpp, src/gtkmm/renderer_dragbox.h,
	  src/gtkmm/renderer_ducks.cpp, src/gtkmm/renderer_ducks.h,
	  src/gtkmm/renderer_grid.cpp, src/gtkmm/renderer_grid.h,
	  src/gtkmm/renderer_guides.cpp, src/gtkmm/renderer_guides.h,
	  src/gtkmm/renderer_timecode.cpp, src/gtkmm/renderer_timecode.h,
	  src/gtkmm/smach.h, src/gtkmm/state_bline.cpp,
	  src/gtkmm/state_bline.h, src/gtkmm/state_circle.cpp,
	  src/gtkmm/state_circle.h, src/gtkmm/state_draw.cpp,
	  src/gtkmm/state_draw.h, src/gtkmm/state_eyedrop.cpp,
	  src/gtkmm/state_eyedrop.h, src/gtkmm/state_fill.cpp,
	  src/gtkmm/state_fill.h, src/gtkmm/state_gradient.cpp,
	  src/gtkmm/state_gradient.h, src/gtkmm/state_normal.cpp,
	  src/gtkmm/state_normal.h, src/gtkmm/state_polygon.cpp,
	  src/gtkmm/state_polygon.h, src/gtkmm/state_rectangle.cpp,
	  src/gtkmm/state_rectangle.h, src/gtkmm/state_rotate.cpp,
	  src/gtkmm/state_rotate.h, src/gtkmm/state_scale.cpp,
	  src/gtkmm/state_scale.h, src/gtkmm/state_sketch.cpp,
	  src/gtkmm/state_sketch.h, src/gtkmm/state_smoothmove.cpp,
	  src/gtkmm/state_smoothmove.h, src/gtkmm/state_stroke.cpp,
	  src/gtkmm/state_stroke.h, src/gtkmm/state_width.cpp,
	  src/gtkmm/state_width.h, src/gtkmm/state_zoom.cpp,
	  src/gtkmm/state_zoom.h, src/gtkmm/statemanager.cpp,
	  src/gtkmm/statemanager.h, src/gtkmm/toolbox.cpp,
	  src/gtkmm/toolbox.h, src/gtkmm/valuelink.cpp,
	  src/gtkmm/valuelink.h, src/gtkmm/widget_canvaschooser.cpp,
	  src/gtkmm/widget_canvaschooser.h, src/gtkmm/widget_color.cpp,
	  src/gtkmm/widget_color.h, src/gtkmm/widget_coloredit.cpp,
	  src/gtkmm/widget_coloredit.h, src/gtkmm/widget_compselect.cpp,
	  src/gtkmm/widget_compselect.h, src/gtkmm/widget_curves.cpp,
	  src/gtkmm/widget_curves.h, src/gtkmm/widget_defaults.cpp,
	  src/gtkmm/widget_defaults.h, src/gtkmm/widget_distance.cpp,
	  src/gtkmm/widget_distance.h, src/gtkmm/widget_enum.cpp,
	  src/gtkmm/widget_enum.h, src/gtkmm/widget_filename.cpp,
	  src/gtkmm/widget_filename.h, src/gtkmm/widget_gradient.cpp,
	  src/gtkmm/widget_gradient.h, src/gtkmm/widget_sound.cpp,
	  src/gtkmm/widget_sound.h, src/gtkmm/widget_time.cpp,
	  src/gtkmm/widget_time.h, src/gtkmm/widget_timeslider.cpp,
	  src/gtkmm/widget_timeslider.h, src/gtkmm/widget_value.cpp,
	  src/gtkmm/widget_value.h, src/gtkmm/widget_vector.cpp,
	  src/gtkmm/widget_vector.h, src/gtkmm/widget_waypoint.cpp,
	  src/gtkmm/widget_waypoint.h, src/gtkmm/widget_waypointmodel.cpp,
	  src/gtkmm/widget_waypointmodel.h, src/gtkmm/workarea.cpp,
	  src/gtkmm/workarea.h, src/gtkmm/workarearenderer.cpp,
	  src/gtkmm/workarearenderer.h, src/gtkmm/zoomdial.cpp,
	  src/gtkmm/zoomdial.h, src/sinfgapp, src/sinfgapp/Makefile.am,
	  src/sinfgapp/action.cpp, src/sinfgapp/action.h,
	  src/sinfgapp/action_param.cpp, src/sinfgapp/action_param.h,
	  src/sinfgapp/action_system.cpp, src/sinfgapp/action_system.h,
	  src/sinfgapp/actions, src/sinfgapp/actions/activepointadd.cpp,
	  src/sinfgapp/actions/activepointadd.h,
	  src/sinfgapp/actions/activepointremove.cpp,
	  src/sinfgapp/actions/activepointremove.h,
	  src/sinfgapp/actions/activepointset.cpp,
	  src/sinfgapp/actions/activepointset.h,
	  src/sinfgapp/actions/activepointsetoff.cpp,
	  src/sinfgapp/actions/activepointsetoff.h,
	  src/sinfgapp/actions/activepointseton.cpp,
	  src/sinfgapp/actions/activepointseton.h,
	  src/sinfgapp/actions/activepointsetsmart.cpp,
	  src/sinfgapp/actions/activepointsetsmart.h,
	  src/sinfgapp/actions/activepointsimpleadd.cpp,
	  src/sinfgapp/actions/activepointsimpleadd.h,
	  src/sinfgapp/actions/blinepointtangentmerge.cpp,
	  src/sinfgapp/actions/blinepointtangentmerge.h,
	  src/sinfgapp/actions/blinepointtangentsplit.cpp,
	  src/sinfgapp/actions/blinepointtangentsplit.h,
	  src/sinfgapp/actions/canvasadd.cpp,
	  src/sinfgapp/actions/canvasadd.h,
	  src/sinfgapp/actions/canvasremove.cpp,
	  src/sinfgapp/actions/canvasremove.h,
	  src/sinfgapp/actions/canvasrenddescset.cpp,
	  src/sinfgapp/actions/canvasrenddescset.h,
	  src/sinfgapp/actions/colorset.cpp,
	  src/sinfgapp/actions/colorset.h,
	  src/sinfgapp/actions/editmodeset.cpp,
	  src/sinfgapp/actions/editmodeset.h,
	  src/sinfgapp/actions/gradientset.cpp,
	  src/sinfgapp/actions/gradientset.h,
	  src/sinfgapp/actions/groupaddlayers.cpp,
	  src/sinfgapp/actions/groupaddlayers.h,
	  src/sinfgapp/actions/groupremove.cpp,
	  src/sinfgapp/actions/groupremove.h,
	  src/sinfgapp/actions/groupremovelayers.cpp,
	  src/sinfgapp/actions/groupremovelayers.h,
	  src/sinfgapp/actions/grouprename.cpp,
	  src/sinfgapp/actions/grouprename.h,
	  src/sinfgapp/actions/keyframeadd.cpp,
	  src/sinfgapp/actions/keyframeadd.h,
	  src/sinfgapp/actions/keyframeduplicate.cpp,
	  src/sinfgapp/actions/keyframeduplicate.h,
	  src/sinfgapp/actions/keyframeremove.cpp,
	  src/sinfgapp/actions/keyframeremove.h,
	  src/sinfgapp/actions/keyframeset.cpp,
	  src/sinfgapp/actions/keyframeset.h,
	  src/sinfgapp/actions/keyframesetdelta.cpp,
	  src/sinfgapp/actions/keyframesetdelta.h,
	  src/sinfgapp/actions/keyframewaypointset.cpp,
	  src/sinfgapp/actions/keyframewaypointset.h,
	  src/sinfgapp/actions/layeractivate.cpp,
	  src/sinfgapp/actions/layeractivate.h,
	  src/sinfgapp/actions/layeradd.cpp,
	  src/sinfgapp/actions/layeradd.h,
	  src/sinfgapp/actions/layerduplicate.cpp,
	  src/sinfgapp/actions/layerduplicate.h,
	  src/sinfgapp/actions/layerencapsulate.cpp,
	  src/sinfgapp/actions/layerencapsulate.h,
	  src/sinfgapp/actions/layerlower.cpp,
	  src/sinfgapp/actions/layerlower.h,
	  src/sinfgapp/actions/layermove.cpp,
	  src/sinfgapp/actions/layermove.h,
	  src/sinfgapp/actions/layerparamconnect.cpp,
	  src/sinfgapp/actions/layerparamconnect.h,
	  src/sinfgapp/actions/layerparamdisconnect.cpp,
	  src/sinfgapp/actions/layerparamdisconnect.h,
	  src/sinfgapp/actions/layerparamset.cpp,
	  src/sinfgapp/actions/layerparamset.h,
	  src/sinfgapp/actions/layerraise.cpp,
	  src/sinfgapp/actions/layerraise.h,
	  src/sinfgapp/actions/layerremove.cpp,
	  src/sinfgapp/actions/layerremove.h,
	  src/sinfgapp/actions/layersetdesc.cpp,
	  src/sinfgapp/actions/layersetdesc.h,
	  src/sinfgapp/actions/timepointscopy.cpp,
	  src/sinfgapp/actions/timepointscopy.h,
	  src/sinfgapp/actions/timepointsdelete.cpp,
	  src/sinfgapp/actions/timepointsdelete.h,
	  src/sinfgapp/actions/timepointsmove.cpp,
	  src/sinfgapp/actions/timepointsmove.h,
	  src/sinfgapp/actions/valuedescconnect.cpp,
	  src/sinfgapp/actions/valuedescconnect.h,
	  src/sinfgapp/actions/valuedescconvert.cpp,
	  src/sinfgapp/actions/valuedescconvert.h,
	  src/sinfgapp/actions/valuedescdisconnect.cpp,
	  src/sinfgapp/actions/valuedescdisconnect.h,
	  src/sinfgapp/actions/valuedescexport.cpp,
	  src/sinfgapp/actions/valuedescexport.h,
	  src/sinfgapp/actions/valuedesclink.cpp,
	  src/sinfgapp/actions/valuedesclink.h,
	  src/sinfgapp/actions/valuedescset.cpp,
	  src/sinfgapp/actions/valuedescset.h,
	  src/sinfgapp/actions/valuenodeadd.cpp,
	  src/sinfgapp/actions/valuenodeadd.h,
	  src/sinfgapp/actions/valuenodeconstset.cpp,
	  src/sinfgapp/actions/valuenodeconstset.h,
	  src/sinfgapp/actions/valuenodedynamiclistinsert.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistinsert.h,
	  src/sinfgapp/actions/valuenodedynamiclistinsertsmart.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistinsertsmart.h,
	  src/sinfgapp/actions/valuenodedynamiclistloop.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistloop.h,
	  src/sinfgapp/actions/valuenodedynamiclistremove.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistremove.h,
	  src/sinfgapp/actions/valuenodedynamiclistremovesmart.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistremovesmart.h,
	  src/sinfgapp/actions/valuenodedynamiclistrotateorder.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistrotateorder.h,
	  src/sinfgapp/actions/valuenodedynamiclistunloop.cpp,
	  src/sinfgapp/actions/valuenodedynamiclistunloop.h,
	  src/sinfgapp/actions/valuenodelinkconnect.cpp,
	  src/sinfgapp/actions/valuenodelinkconnect.h,
	  src/sinfgapp/actions/valuenodelinkdisconnect.cpp,
	  src/sinfgapp/actions/valuenodelinkdisconnect.h,
	  src/sinfgapp/actions/valuenoderemove.cpp,
	  src/sinfgapp/actions/valuenoderemove.h,
	  src/sinfgapp/actions/valuenoderename.cpp,
	  src/sinfgapp/actions/valuenoderename.h,
	  src/sinfgapp/actions/valuenodereplace.cpp,
	  src/sinfgapp/actions/valuenodereplace.h,
	  src/sinfgapp/actions/waypointadd.cpp,
	  src/sinfgapp/actions/waypointadd.h,
	  src/sinfgapp/actions/waypointremove.cpp,
	  src/sinfgapp/actions/waypointremove.h,
	  src/sinfgapp/actions/waypointset.cpp,
	  src/sinfgapp/actions/waypointset.h,
	  src/sinfgapp/actions/waypointsetsmart.cpp,
	  src/sinfgapp/actions/waypointsetsmart.h,
	  src/sinfgapp/actions/waypointsimpleadd.cpp,
	  src/sinfgapp/actions/waypointsimpleadd.h,
	  src/sinfgapp/blineconvert.cpp, src/sinfgapp/blineconvert.h,
	  src/sinfgapp/canvasinterface.cpp, src/sinfgapp/canvasinterface.h,
	  src/sinfgapp/cvs.cpp, src/sinfgapp/cvs.h,
	  src/sinfgapp/editmode.h, src/sinfgapp/inputdevice.cpp,
	  src/sinfgapp/inputdevice.h, src/sinfgapp/instance.cpp,
	  src/sinfgapp/instance.h, src/sinfgapp/main.cpp,
	  src/sinfgapp/main.h, src/sinfgapp/selectionmanager.h,
	  src/sinfgapp/settings.cpp, src/sinfgapp/settings.h,
	  src/sinfgapp/timegather.cpp, src/sinfgapp/timegather.h,
	  src/sinfgapp/uimanager.cpp, src/sinfgapp/uimanager.h,
	  src/sinfgapp/value_desc.h, src/template.cpp, src/template.h,
	  studio.kdevprj, studio.pbproj, studio.pbproj/project.pbxproj,
	  studio.prj, win32build.sh, win32inst.nsi.in: initial version

